NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.CAM.LaserProfileMove Class Reference

Represents a LaserProfileMove More...

Inheritance diagram for NXOpen.CAM.LaserProfileMove:
NXOpen.CAM.MoveBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CollisionChecks { None, NozzleOnly, NozzleAndHolder, SolidLaserHead }
 the Collision Check enum More...
 
enum  InterpMethods { Linear, CubicSpline, Smooth }
 the Interpolation Method enum More...
 
enum  ShapeTypes { ExternalTrim, InternalTrim, OpenProfile }
 the Shape Type enum More...
 
enum  ToolSides { On, Left, Right }
 the Tool Side enum More...
 
- Public Types inherited from NXOpen.CAM.MoveBuilder
enum  Feed { Motion, Custom }
 the feed Type More...
 
enum  Motion {
  Rapid = 1, Engage, Cut, Stepover,
  Retract, Approach, Traversal, Departure,
  Return, FirstCut, LastCut, Crossover
}
 the motion Type More...
 

Public Member Functions

unsafe NXOpen.CAM.LaserControlPoint CreateControlPoint (int headOrientType, NXOpen.Point pointTag, NXOpen.CartesianCoordinateSystem csysTag, int processType, bool toggle, NXOpen.NXObject udePathTag, int pointType)
 Create a new Laser Control Point More...
 
- Public Member Functions inherited from NXOpen.CAM.MoveBuilder
unsafe NXOpen.CAM.UdeParameter GetUserParameter (string parameterName)
 Returns the custom parameter with the given name. More...
 
unsafe NXOpen.CAM.UdeParameter GetUserParameter (int index)
 Returns the parameter at the input index. More...
 
unsafe void SetParent (NXOpen.CAM.CAMObject parent)
 Set parent More...
 
unsafe void SetSibling (NXOpen.CAM.CAMObject sibling)
 Set sibling More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.CAM.LaserProfileMove.CollisionChecks 
CollisionCheck [get, set]
 Returns or sets the Collision Check More...
 
unsafe NXOpen.CAM.LaserCutDirection CutDirection [get]
 Returns the Cut Direction More...
 
unsafe
NXOpen.CAM.LaserHeadOrientation 
HeadOrientation [get]
 Returns the Head Orientation More...
 
unsafe
NXOpen.CAM.LaserProfileMove.InterpMethods 
InterpMethod [get, set]
 Returns or sets the Interpolation Method More...
 
unsafe
NXOpen.CAM.LaserControlPointList 
List [get]
 Returns the List More...
 
unsafe double MaxGapDist [get, set]
 Returns or sets the Max Gap Distance More...
 
unsafe double MaxTiltAngle [get, set]
 Returns or sets the Max Tilt Angle More...
 
unsafe NXOpen.Section ProfileSection [get, set]
 Returns or sets the Profile Section More...
 
unsafe
NXOpen.CAM.LaserProfileMove.ShapeTypes 
ShapeType [get, set]
 Returns or sets the Shape Type More...
 
unsafe
NXOpen.CAM.LaserProfileMove.ToolSides 
ToolSide [get, set]
 Returns or sets the Tool Side More...
 
- Properties inherited from NXOpen.CAM.MoveBuilder
unsafe double FeedRate [get, set]
 Returns or sets the feed rate More...
 
unsafe NXOpen.CAM.MoveBuilder.Feed FeedType [get, set]
 Returns or sets the feed type More...
 
unsafe NXOpen.CAM.FeedRateUnit FeedUnit [get, set]
 Returns or sets the feed unit More...
 
unsafe
NXOpen.CAM.MoveBuilder.Motion 
MotionType [get, set]
 Returns or sets the motion type More...
 
unsafe int NumberOfUserParameters [get]
 Returns the number of user parameters More...
 
unsafe bool ProtectedMove [get, set]
 Returns or sets the protected move status More...
 
unsafe string SubopLabel [get, set]
 Returns or sets the subop label More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a LaserProfileMove

To create a new instance of this class, use NXOpen.CAM.MoveCollection.CreateLaserProfileMove

Created in NX9.0.0

Member Enumeration Documentation

the Collision Check enum

Enumerator
None 

None

NozzleOnly 

Nozzle Only

NozzleAndHolder 

Nozzle and Holder

SolidLaserHead 

Solid Laser Head

the Interpolation Method enum

Enumerator
Linear 

Linear

CubicSpline 

Cubic Spline

Smooth 

Smooth

the Shape Type enum

Enumerator
ExternalTrim 

External Trim

InternalTrim 

Internal Trim

OpenProfile 

Open Profile

the Tool Side enum

Enumerator
On 

On

Left 

Left

Right 

Right

Member Function Documentation

unsafe NXOpen.CAM.LaserControlPoint NXOpen.CAM.LaserProfileMove.CreateControlPoint ( int  headOrientType,
NXOpen.Point  pointTag,
NXOpen.CartesianCoordinateSystem  csysTag,
int  processType,
bool  toggle,
NXOpen.NXObject  udePathTag,
int  pointType 
)
inline

Create a new Laser Control Point

Created in NX9.0.0

License requirements: cam_base ("CAM BASE")

Parameters
headOrientTypehead orient type
pointTagthe point
csysTagthe csys
processTypepoint process type
toggleevents toggle
udePathTagthe ude path
pointTypepoint type
Returns
the control points

Property Documentation

unsafe NXOpen.CAM.LaserProfileMove.CollisionChecks NXOpen.CAM.LaserProfileMove.CollisionCheck
getset

Returns or sets the Collision Check

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.LaserCutDirection NXOpen.CAM.LaserProfileMove.CutDirection
get

Returns the Cut Direction

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.CAM.LaserHeadOrientation NXOpen.CAM.LaserProfileMove.HeadOrientation
get

Returns the Head Orientation

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.CAM.LaserProfileMove.InterpMethods NXOpen.CAM.LaserProfileMove.InterpMethod
getset

Returns or sets the Interpolation Method

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.LaserControlPointList NXOpen.CAM.LaserProfileMove.List
get

Returns the List

Created in NX9.0.0

License requirements: None.

unsafe double NXOpen.CAM.LaserProfileMove.MaxGapDist
getset

Returns or sets the Max Gap Distance

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe double NXOpen.CAM.LaserProfileMove.MaxTiltAngle
getset

Returns or sets the Max Tilt Angle

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.Section NXOpen.CAM.LaserProfileMove.ProfileSection
getset

Returns or sets the Profile Section

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.LaserProfileMove.ShapeTypes NXOpen.CAM.LaserProfileMove.ShapeType
getset

Returns or sets the Shape Type

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")

unsafe NXOpen.CAM.LaserProfileMove.ToolSides NXOpen.CAM.LaserProfileMove.ToolSide
getset

Returns or sets the Tool Side

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: cam_base ("CAM BASE")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.